Skip to main content
GET
/
v1
/
scenarios
List scenarios
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/scenarios \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "intent": "<string>",
      "journey": "<string>",
      "success_criteria": [
        {
          "description": "<string>"
        }
      ],
      "mock_world": {},
      "tags": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "source_brief": "<string>",
      "source_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_agent_name": "<string>",
      "source_persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_persona_name": "<string>",
      "agents": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        }
      ],
      "created_by": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

source
enum<string> | null
Available options:
manual,
drafted
source_agent_id
string<uuid> | null
source_persona_id
string<uuid> | null
agent_id
string<uuid> | null
tags
string[] | null
created_after
string<date-time> | null
limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null

Response

Successful Response

items
ScenarioResponse · object[]
required
has_more
boolean
required
next_cursor
string | null